# Storage media list

An action block that lists mounted storage media/volumes.

The fiber will pause until the listing has completed.

Since Android 5, removable SD cards, USB drives and other kind of storage volumes are usually accessible through, i.e. “mounted” in, the `/storage` directory, but the directory itself is inaccessible and can’t be listed by regular apps due to lack of file permissions.

Note! Android 4.4 and lower don’t officially support removable storage and therefore only list primary external storage.

## Input arguments

- Writable — whether to only include writable media, i.e. that’s not read-only, default is no.

## Output variables

- Mounting point paths — variable to assign the an array of “mount” paths, i.e. the root path, for each media volume.